Package org.gradle.language.nativeplatform

# Interface ComponentWithRuntimeFile

All Superinterfaces:
  `ComponentWithNativeRuntime`, `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `ComponentWithSharedLibrary`, `CppSharedLibrary`, `SwiftSharedLibrary`

public interface ComponentWithRuntimeFile extends ComponentWithNativeRuntime
Represents a native component that produces a file to be used at runtime.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<RegularFile>`
  `getRuntimeFile()`
  Returns the runtime file of this component.

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getRuntimeFile

    Provider<RegularFile> getRuntimeFile()
    Returns the runtime file of this component.